<?php

/* Schedule */
function mbplugins_schedule_shortcode($atts = []) {
  global $content;
  $atts = array_change_key_case((array)$atts, CASE_LOWER);

  ob_start();

?>
<div id="mbplugins-schedule-widget"
  <?php if(!empty($atts['program-id'])) {echo 'data-program-id="' . $atts['program-id'] . '"';} ?>
  <?php if(!empty($atts['class-id'])) {echo 'data-class-id="' . $atts['class-id'] . '"';} ?>
  <?php if(!empty($atts['location-id'])) {echo 'data-location-id="' . $atts['location-id'] . '"';} ?>
  <?php if(!empty($atts['schedule-types'])) {echo "data-schedule-types='" . $atts["schedule-types"] . "'";} ?>
  <?php if(!empty($atts['show-resources'])) {echo 'data-show-resources';} ?>
></div>
<?php

  $output = ob_get_clean();
  return $output;
}
add_shortcode('mbplugins-schedule', 'mbplugins_schedule_shortcode');

/* Pricing */
function mbplugins_services_overview_shortcode($atts = []) {
  global $content;
  $atts = array_change_key_case((array)$atts, CASE_LOWER);

  ob_start();

?>
<div id="mbplugins-services-widget"></div>
<?php

  $output = ob_get_clean();
  return $output;
}
add_shortcode('mbplugins-services-overview', 'mbplugins_services_overview_shortcode');

/* Enrollments */
function mbplugins_enrollments_shortcode($atts = []) {
  global $content;
  $atts = array_change_key_case((array)$atts, CASE_LOWER);

  ob_start();

?>
<div id="mbplugins-enrollments-widget"
  <?php if(!empty($atts['program-id'])) {echo 'data-program-id="' . $atts['program-id'] . '"';} ?>
  <?php if(!empty($atts['class-id'])) {echo 'data-class-id="' . $atts['class-id'] . '"';} ?>
  <?php if(!empty($atts['use-parameter'])) {echo 'data-use-parameter';} ?>
></div>
<?php

  $output = ob_get_clean();
  return $output;
}
add_shortcode('mbplugins-enrollments', 'mbplugins_enrollments_shortcode');

/* Register */
function mbplugins_register_form_shortcode($atts = []) {
  global $content;
  $atts = array_change_key_case((array)$atts, CASE_LOWER);

  ob_start();

?>
<div id="mbplugins-register-widget"></div>
<?php

  $output = ob_get_clean();
  return $output;
}
add_shortcode('mbplugins-register-form', 'mbplugins_register_form_shortcode');


?>
